how use arrow keys in borland turbo c++ 4.5 (and only this)

This is a discussion on how use arrow keys in borland turbo c++ 4.5 (and only this) within the C++ Programming forums, part of the General Programming Boards category; hello, i have a very strange problem. i wrote a program in "c" in "borland turbo c++ 3.00" "dos version" ...

  1. #1
    Registered User
    Join Date
    Dec 2010
    Posts
    5

    Question how use arrow keys in borland turbo c++ 4.5 (and only this)

    hello,
    i have a very strange problem.
    i wrote a program in "c" in "borland turbo c++ 3.00" "dos version" that uses the ARROW keys.
    ARROW KEYS works great in this program, and my program is completely ok in "turbo c++ 3"
    but when i copy and paste this program, to "borland turbo c++ 4.5" windows version, ARROW keys don't work on it.there isn't even a single error or warning message.
    i am sure this is a problem in borland turbo c++ 4.5.
    but i wrote this program for one of my friends and she needs it to work on borland turbo c++ 4.5.
    could any one please help to solve this problem.
    thanks in advance.
    so is there anyway to use arrow keys in version 4.5? (another method).

  2. #2
    C++まいる!Cをこわせ!
    Join Date
    Oct 2007
    Posts
    23,001
    The "problem" is that you are using an outdated compiler. Therefore you must expect things such as this to happen when you move on to a more modern compiler, even though Borland C++ is still extremely outdated.
    Again, why does your friend need it to work on such an outdated compiler?
    Quote Originally Posted by Adak View Post
    io.h certainly IS included in some modern compilers. It is no longer part of the standard for C, but it is nevertheless, included in the very latest Pelles C versions.
    Quote Originally Posted by Salem View Post
    You mean it's included as a crutch to help ancient programmers limp along without them having to relearn too much.

    Outside of your DOS world, your header file is meaningless.

  3. #3
    Registered User
    Join Date
    Dec 2010
    Posts
    5
    as a matter of fact , my friend needs this program to work in borland c++ 4.5 because :
    she needs to give a representation in class . but the computers there , use only version 4.5
    . and i don't think their teacher allows them to use another version.
    so this is utterly important to her.

  4. #4
    Registered User
    Join Date
    Aug 2010
    Location
    Poland
    Posts
    682
    Quote Originally Posted by massiha View Post
    as a matter of fact , my friend needs this program to work in borland c++ 4.5 because :
    she needs to give a representation in class . but the computers there , use only version 4.5
    . and i don't think their teacher allows them to use another version.
    so this is utterly important to her.
    I'd recommend changing school.

    As Elysia said, this is outdated and there is no reason to use it any more.
    I never put signature, but I decided to make an exception.

  5. #5
    Super Moderator VirtualAce's Avatar
    Join Date
    Aug 2001
    Posts
    9,598
    Use a newer compiler like MSVS Express 2010.

Popular pages Recent additions subscribe to a feed

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21